using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Polica
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            int i, j;
            int p, t;
            var ulaz = Console.ReadLine().Split();
            for(i = 0; i < n; i++)
            {
                a[i] = int.Parse(ulaz[i]);
            }
            if (n == 2)
            {
                t = a[0];
                a[0] = a[1];
                a[1] = t;
                Console.Write(a[0]);
                Console.Write(" ");
                Console.Write(a[1]);
            }
            else
            {
                for (i = 0; i < a.Length - 1; i++)
                {
                    for (j = i + 1; j < a.Length; j++)
                    {
                        if (a[i] < a[j])
                        {

                            p = a[i];
                            a[i] = a[j];
                            a[j] = p;
                        }
                    }
                }
                for (i = 0; i < a.Length; i++)
                {
                    Console.Write(a[i]);
                    Console.Write(" ");
                }
            }
        }
    }
}